ITPub博客

首页 > Linux操作系统 > Linux操作系统 > AIX上安装、升级Oracle 10g RAC的情况总结

AIX上安装、升级Oracle 10g RAC的情况总结

Linux操作系统 作者:古丁高手 时间:2016-03-22 17:21:21 0 删除 编辑

Metalink相关说明:

The software requirements for HACMP 5.3 on 10gR2 are as follows:

Software
Version and other details
AIX
5.3 TL06 or newer (specifically bos.rte.lvm must be at least 5.3.0.60)
HACMP
5.3 SP5 and APAR IZ01809 and cluster.es.clvm at a MINIMUM or 5.3 SP6 or newer with cluster.es.clvm installed.
RSCT
RSCT (rsct.basic.rte)
RSCT 2.4.7.3 (APAR IZ01838, this APAR is integrated into 2.4.8.1)
Oracle 10gR2
Oracle 10gR2 patchset 10.2.0.3, CRS bundled Patch:6160398 is required.

The software requirements for HACMP 5.4.1 on 10gR2 are as follows :

Software
Version and other details
AIX
5.3 TL06 or newer (specifically bos.rte.lvm must be at least 5.3.0.60) or 6.1 or newer
HACMP
5.4.1 (Available in media or APAR IZ02620)
RSCT
RSCT (rsct.basic.rte)
RSCT V2.4.7.3 (APAR IZ01838, this APAR is integrated into V2.4.8.1)
Oracle 10gR2
Oracle 10gR2 patchset 10.2.0.3, CRS bundled Patch:6160398 is required. In addition, rootpre.sh Patch:6718715 is required when using HACMP 5.4.1 with a fresh install of Oracle RAC clusterware or when upgrading from Oracle 10gR1 to Oracle 10gR2. This patch should be installed on all nodes before installing Oracle 10.2.0.1 software. Be sure to download the 10gR2 version of patch 6718715.














The software requirements for PowerHA 5.5 on 10gR2 are as follows :


Software
Version and other details
AIX
5.3 TL9 or above or 6.1 TL2 SP1 or above
HACMP
5.5 and APAR IZ43548
RSCT
For AIX 5.3, RSCT 2.4.10.0 or above. For AIX 6.1, RSCT 2.5.2 or above
Oracle 10gR2
Certified with Oracle 10gR2, patchset 10.2.0.4 and bundled patchsets:
In addition, rootpre.sh patch 6718715 is required when using PowerHA 5.5 with a fresh install of Oracle RAC clusterware or when upgrading from Oracle RAC 10gR1 to 10gR2. This patch should be installed on all nodes before installing Oracle 10.2.0.1 software. Be sure to download the 10gR2 version of patch 6718715.



















The software requirements for HACMP 5.4.1 on 11g are as follows:

Software
Version and other details
AIX
5.3 TL06 or newer (specifically bos.rte.lvm must be at least 5.3.0.60)
HACMP
5.3 SP5 and APAR IZ01809 and cluster.es.clvm at a MINIMUM or 5.3 SP6 or newer with cluster.es.clvm installed.
RSCT
RSCT (rsct.basic.rte)  RSCT V2.4.7.3 (APAR IZ01838, this APAR is integrated into V2.4.8.1)
Oracle 11g
rootpre.sh patch:6718715 is required when using HACMP 5.4.1 with a fresh install of Oracle RAC clusterware or when upgrading to Oracle RAC 11g. Be sure to download the 11g version of patch:6718715.















The software requirements for HACMP 5.4.1 on 11g are as follows:

Software
Version and other details
AIX
5.3 TL06 or newer (specifically bos.rte.lvm must be at least 5.3.0.60)  or 6.1 TL1 SP1 or newer
HACMP
5.4.1 (Available in media or APAR IZ02620)
RSCT
For AIX 5.3, RSCT (rsct.basic.rte)  RSCT V2.4.7.3 (APAR IZ01838) This APAR is integrated into V2.4.8.1
Oracle 11g
rootpre.sh patch:6718715 is required when using HACMP 5.4.1 with a fresh install of Oracle RAC clusterware or when upgrading to Oracle RAC 11g. Be sure to download the 11g version of patch:6718715.













The software requirements for HACMP 5.4.1 on 11g with VIOS are as follows:

Software
Version and other details
AIX
6.1 TL1 SP2 or newer
HACMP
5.4.1 SP3
VIOS
1.5.2.1 FP 11.1
RSCT
For AIX 5.3, RSCT (rsct.basic.rte)  RSCT V2.4.7.3 (APAR IZ01838) This APAR is integrated into V2.4.8.1
Oracle 11g
rootpre.sh patch:6718715 is required when using HACMP 5.4.1 with a fresh install of Oracle RAC clusterware or when upgrading to Oracle RAC 11g. Be sure to download the 11g version of patch:6718715.













以下结合自己的安装总结几种AIX HACMP情况下Oracle安装需要的各种类型的补丁。

1.情况1:AIX 5300-09 HACMP 5.3

1.1安装10.2.0.1.0:

1.1.1系统文件集及补丁:
AIX Filesets:
bos.adt.base
bos.adt.lib
bos.adt.libm
bos.adt.prof
bos.perf.libperfstat
bos.perf.perfstat
bos.perf.proctools
bos.cifs_fs.rte
bos.rte.lvm(AIX 5.3 TL06 or newer (specifically bos.rte.lvm must be at least 5.3.0.60))
rsct.basic.rte
rsct.basic.hacmp
rsct.compat.clients.rte
xlC.aix50.rte 7.0.0.4 (或更高版本)
xlC.rte 7.0.0.1 (或更高版本)

APARs:
IY58143
IY59386
IY60930
IY61034
IY62191
IY66513
IY68989
IY89080
IY70159 
IY68874
IY70031
IY94343

1.1.2 HACMP 文件集及补丁:
cluster.adt.es.client.include
cluster.adt.es.client.samples.clinfo
cluster.adt.es.client.samples.clstat
cluster.adt.es.client.samples.libcl
cluster.adt.es.java.demo.monitor
cluster.es.cfs.rte
cluster.es.client.lib
cluster.es.client.rte
cluster.es.client.utils
cluster.es.client.wsm
cluster.es.clvm.rte
cluster.es.cspoc.cmds
cluster.es.cspoc.dsh
cluster.es.cspoc.rte
cluster.es.plugins.dhcp
cluster.es.plugins.dns
cluster.es.plugins.printserver
cluster.es.server.cfgast
cluster.es.server.diag
cluster.es.server.events
cluster.es.server.rte
cluster.es.server.testtool
cluster.es.server.utils
cluster.license

1.1.3 Oracle补丁:
<无>

1.2 升级到10.2.0.4.0:
正常升级,无需特殊补丁。

直接升级到10.2.0.4不需要应用6160398补丁。
升级注意事项:http://space.itpub.net/23135684/viewspace-631065

2.情况2:AIX 5300-09 HACMP 5.4

2.1 安装10.2.0.1.0:

2.1.1 系统文件集及补丁:
同1.1.1安装文件集及补丁的情况相同。

2.1.2 HACMP 文件集及补丁:
cluster.adt.es.client.include
cluster.adt.es.client.samples.clinfo
cluster.adt.es.client.samples.clstat
cluster.adt.es.client.samples.libcl
cluster.adt.es.java.demo.monitor                    
cluster.es.cfs.rte       
cluster.es.client.lib     
cluster.es.client.rte     
cluster.es.client.utils   
cluster.es.client.wsm     
cluster.es.cspoc.cmds     
cluster.es.cspoc.dsh     
cluster.es.cspoc.rte     
cluster.es.plugins.dhcp 
cluster.es.plugins.dns    
cluster.es.plugins.printserver
cluster.es.server.cfgast 
cluster.es.server.diag    
cluster.es.server.events  
cluster.es.server.rte     
cluster.es.server.testtool
cluster.es.server.utils   
cluster.license

APAR:
IZ02620

2.1.3 Oracle 补丁:
需要安装patch 6718715补丁包。

2.2 升级到10.2.0.4.0:
需要安装patch 6160398补丁包,先将数据库升级到10.2.0.2.0或10.2.0.3.0,然后再升级到10.2.0.4.0。

3. 情况3:AIX 6100-01 HACMP 5.4

3.1 安装10.2.0.1.0:

3.1.1 系统文件集及补丁:
同1.1.1安装文件集及补丁的情况相同。

3.1.2 HACMP 文件集及补丁:
同2.1.2安装HACMP文件集及补丁的情况相同。

3.1.3 Oracle 补丁:
<无>

3.2 升级到10.2.0.4.0:
需要安装patch 6160398补丁包,先将数据库升级到10.2.0.2.0或10.2.0.3.0,然后再升级到10.2.0.4.0。

从以上的情况总结来看:
Oracle Database 10g在AIX上的安装和HACMP的版本有比较密切的关系,和AIX系统的版本关系不大。在HACMP5.4上需要单独打一些HACMP的补丁和Oracle产品的补丁才能正常的安装和升级Oracle数据库。

另外在划分LV时要使用如下命令来创建LV(http://www.dbanotes.net/database/aix_raw_lvm_4k_offset.html):
/usr/sbin/mklv -y fzfw_rac_user -T O -w n -s n -r n oravg 1

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/27575921/viewspace-2061921/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2014-01-01

  • 博文量
    22
  • 访问量
    44375